unity web player

  • Each time I try and play this game Cannon Defense American Civil War Edition
    it tells me that it only works with firefox or opera so I had firefox and NO it doesnt work with it, so I download Opera and NO it doesnt work with this either. What the hell is wrong with the powers that be when it comes to changing stuff that does nothing but screw up something that was working well for so long.

  • Support for NPAPI plugins ended about two years ago in Chromium and Firefox is also dropping it.

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.